import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpTelecomUserInfo } from '../models/index';
/**
 * @author auto generate
 * @version 1.1
 * @date 2021-08-09 17:45
 */
interface PpTelecomUserInfoCU extends ConditionUtil<PpTelecomUserInfoCU> {
    USER_ID: FieldUtil<PpTelecomUserInfoCU>;
    PHONE: FieldUtil<PpTelecomUserInfoCU>;
    CREATE_TIME: FieldUtil<PpTelecomUserInfoCU>;
    UPDATE_TIME: FieldUtil<PpTelecomUserInfoCU>;
}
declare class PpTelecomUserInfoMU extends TableUtilImpl<PpTelecomUserInfoCU, PpTelecomUserInfo> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpTelecomUserInfoCU;
    static get USER_ID(): FieldUtil<PpTelecomUserInfoCU>;
    static get PHONE(): FieldUtil<PpTelecomUserInfoCU>;
    static get CREATE_TIME(): FieldUtil<PpTelecomUserInfoCU>;
    static get UPDATE_TIME(): FieldUtil<PpTelecomUserInfoCU>;
    get USER_ID(): FieldUtil<PpTelecomUserInfoCU>;
    get PHONE(): FieldUtil<PpTelecomUserInfoCU>;
    get CREATE_TIME(): FieldUtil<PpTelecomUserInfoCU>;
    get UPDATE_TIME(): FieldUtil<PpTelecomUserInfoCU>;
}
export { PpTelecomUserInfoMU, PpTelecomUserInfoCU };
